package com.casic.missiles.modular.system.dao;

import com.baomidou.mybatisplus.plugins.Page;
import com.casic.missiles.modular.system.model.SysDict;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典表 Mapper 接口
 * </p>
 *
 * @author casic123
 * @since 2019-05-17
 */
public interface SysDictMapper extends BaseMapper<SysDict> {

    List<Map<String,Object>> getTypeViaName(@Param("typeName") String typeName);
    List<Map<String,Object>> getTypeViaCode(@Param("code") String code);
    List<Map<String,Object>> getAlarmContent(@Param("alarmType") String alarmType,@Param("deviceType") String devType);
    List<Map<String,Object>> testPage(@Param("page") Page<Map<String,Object>> page);
    String getDeviceTypeNameById(@Param("deviceTypeId") String deviceTypeId);
    String getDeptNameById(@Param("deptid") long deptid);
    String getAlarmTypeNameByCodeNum(@Param("alarmType") String alarmType);
    String getAlarmContentName(@Param("id") int id);
    int getAlarmContentByName(@Param("sName") String sName);
    String getAlarmContentNameById(@Param("alarmContent") int alarmContent);
    String getJobStatusNameByCodeNum(@Param("jobStatus") String jobStatus);
    String getDictNameByCodeCodeNum(@Param("codeNum") String codeNum,@Param("code") String code);
    Map<String,Object> getWellInfoViaCode(@Param("wellCode") String wellCode);
//    String getAlarmContentName(@Param("id") int id,@Param("deviceType") int deviceType,@Param("alarmType") int alarmType);
    String getDBtime();
    String getUsernameById(@Param("id") long id);
    Map<String,Object> getUserInfoById(@Param("id") long id);
    Long getUserByDept(@Param("deptid")Long deptid);
}
